%define limphdir %{_datadir}/limph
Name: limph
Version:  1.9.8.2
Release:  3%{?dist}
Summary: A PHP5-compatible network host/service poller with web interface

Group: Applications/System         
License: GPLv2+
URL: http://limph.sourceforge.net
Source0: http://prdownloads.sf.net/limph/limph-%{version}.tar.gz
Source1: limph.conf
Source2: limph-hostagent

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root%(%{__id_u} -n)
Requires: limph-common = %{version}-%{release}
Requires: php-mcrypt
Requires: php-mysql
Requires: php-pear-Net-Ping
Requires: httpd       
Requires: php

%description
Written to address shortcomings in Nagios and Node-Runner, Limph uses a
PHP frontend with MySQL, PostgreSQL or SQLite backends.  It can check hosts
via UDP or a specific TCP port.  Includes a portscanning tool and host
discovery.  Includes user-based security and granular email notifications.
Can work with the Limph host agent to collect disk space and system load 
information.

%package hostagent

Summary: A host agent for Limph, the network monitor
Group: Applications/System
Requires: php-mcrypt
Requires: limph-common = %{version}-%{release}
Requires: crontabs

%description hostagent
The Limph host agent to collect disk space and system load
information and send it to the server running the main Limph application.

%package common

Summary: Common config file for Limph and Limph-hostagent
Group: Applications/System

%description common
The Limph and Limph-hostagent config file.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{limphdir}
cp -pr *.php *.png *.css %{buildroot}%{limphdir}
mkdir -p %{buildroot}%{_sysconfdir}/limph
mv %{buildroot}%{limphdir}/config.php %{buildroot}%{_sysconfdir}/limph
ln -s ../../../%{_sysconfdir}/limph/config.php %{buildroot}%{limphdir}/config.php
mkdir -p %{buildroot}%{_sysconfdir}/httpd
mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d
cp -pr %SOURCE1 %{buildroot}%{_sysconfdir}/httpd/conf.d
mkdir -p %{buildroot}%{_sysconfdir}/cron.hourly
cp -pr %SOURCE2 %{buildroot}%{_sysconfdir}/cron.hourly

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL COPYING *.sql
%{limphdir}/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/limph.conf
%exclude %{limphdir}/config.php
%exclude %{limphdir}/host_agent.php

%files hostagent
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL COPYING
%{limphdir}/host_agent.php
%attr(0755,root,root) %{_sysconfdir}/cron.hourly/limph-hostagent

%files common
%defattr(-,root,root,-)
%doc CHANGELOG INSTALL COPYING
%dir %{_sysconfdir}/limph/
%config(noreplace) %{_sysconfdir}/limph/config.php
%dir %{limphdir}
%{limphdir}/config.php

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 30 2013 Jon Ciesla <limburger@gmail.com> - 1.9.8.2-2
- Add crontabs Requires, BZ 989073.

* Wed Apr 17 2013 Jon Ciesla <limburger@gmail.com> - 1.9.8.2-1
- Upstream MySQL syntax fix for new installs.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Oct 31 2012 Jon Ciesla <limburger@gmail.com> - 1.9.8.1-5
- Fix conf.

* Tue Oct 30 2012 Jon Ciesla <limburger@gmail.com> - 1.9.8.1-4
- Fix for httpd 2.4, BZ 871414.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Jon Ciesla <limburger@gmail.com> - 1.9.8.1-1
- 1.9.8.1, updated support location.

* Wed Sep 07 2011 Jon Ciesla <limb@jcomserv.net> - 1.9.8-1
- 1.9.8, MySQL ip field now holds ipv6 addresses.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 05 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.7-1
- 1.9.7, with host-specific ip updating.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.6-5
- Dropped php-mhash requires from subpackage.
- Fixed EVR. . .

* Tue Jul 14 2009 Jon Ciesla <limb@jcomserv.net> - 1.9.6-1
- New upstream to move from deprecated mhash to hash.
- Dropped php-mhash requires.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jun 25 2008 Jon Ciesla <limb@jcomserv.net> - 1.9.5-3
- Corrected php requires.
* Fri Aug 10 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.5-2
- Added .sql files.
- Fixed functionlib errors.
* Fri Aug 10 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.5-1
- Bumped to upstream.
* Tue Jan 16 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.4-7
- Added style.css to limph files
* Tue Jan 09 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.4-6
- Added sysconfdir/limph/
* Tue Jan 09 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.4-5
- Corrected limphdir listing
* Tue Jan 09 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.4-4
- Re-included symlink, limphdir in common
- Set version-release for common requires
* Tue Jan 09 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.4-3
- Moved config.php to limph-common
* Tue Jan 09 2007 Jon Ciesla <limb@jcomserv.net> - 1.9.4-2
- Removed unnecessary tmpdir creation
- Re-marked limph-hostagent cron file as non-config file
- Added exclude for host_agent.php in limph
* Mon Nov 27 2006 Jon Ciesla <limb@jcomserv.net> - 1.9.4-1
- Updated spec using Orion's patch from BZ
- Updated Source to 1.9.4, fixes tmp dir issues, config-file-in-usr issues
* Fri Nov 17 2006 Jon Ciesla <limb@jcomserv.net> - 1.9.3-2
- Provided full source URL
- Using BuildArch not BuildArchitectures
- Fixed limph-hostagent permissions
- $RPM_SOURCE_DIR/foo -> %%SOURCEx
- Added Directory directive to limph.conf
- Moved config.php to sysconfdir, attempted symlink

* Mon Nov 06 2006 Jon Ciesla <limb@jcomserv.net> - 1.9.3-1
- Initial packaging.
